import request from '@/utils/request'

// 查询税务行政处罚（不包括稽查）信息列表
export function listPenalty(query) {
  return request({
    url: '/basicData/xcrTaxAdministrativePenalty/findByPage',
    method: 'get',
    params: query
  })
}

// 查询税务行政处罚（不包括稽查）信息详细
export function getPenalty(xhCodeId) {
  return request({
    url: '/basicData/xcrTaxAdministrativePenalty/' + xhCodeId,
    method: 'get'
  })
}

// 新增税务行政处罚（不包括稽查）信息
export function addPenalty(data) {
  return request({
    url: '/basicData/xcrTaxAdministrativePenalty',
    method: 'post',
    data: data
  })
}

// 修改税务行政处罚（不包括稽查）信息
export function updatePenalty(data) {
  return request({
    url: '/basicData/xcrTaxAdministrativePenalty',
    method: 'put',
    data: data
  })
}

// 删除税务行政处罚（不包括稽查）信息
export function delPenalty(xhCodeId) {
  return request({
    url: '/basicData/xcrTaxAdministrativePenalty/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
  return request.post('/basicData/xcrTaxAdministrativePenalty/delete',ids)
}
